%define vermaj 2.8
%define vermin 0

Distribution:	CCux
Packager:	Karsten Brockmann <arcam@ccux-linux.de>

Name:		gsoap
#Epoch:		0
Version:	%{vermaj}.%{vermin}
Release:	1
License:	GNU/GPLv2, MPL 1.1,Other License
URL:		http://gsoap2.sourceforge.net/
Group:		System/Libraries
Summary:	portable development toolkit for C and C++ XML Web services
BuildRoot:	%{_tmppath}/%{name}-buildroot
BuildArch:	i686

# Sources:
Source:		%{name}_%{version}.zip

# Patches:

# Requires:

# BuildRequires:
BuildRequires: flex-devel
BuildRequires: bison
BuildRequires: findutils
BuildRequires: dos2unix
BuildRequires: openssl-devel
BuildRequires: autoconf
BuildRequires: automake
BuildRequires: libtool
BuildRequires: libgpg-error-devel

#Automatically resolved build dependencies
BuildRequires: glibc-devel
BuildRequires: gnutls-devel
BuildRequires: libgcc
BuildRequires: libgcrypt-devel
BuildRequires: libstdc++-devel
BuildRequires: pkg-config
BuildRequires: zlib-devel

%description
gSOAP is a portable development toolkit for C and C++ XML Web services and XML data bindings. Supports XML auto-serialization of C/C++ data. Includes WSDL/XSD schema binding tools, stub/skeleton compiler, Web server, SOAP/XML/MIME streaming, XML-RPC.

%package	devel
Summary:	%{name} development headers.
Group:		Development/
Requires:	%{name} = %{version}-%{release}

%description	devel
Header and include files for developing applications with %{name}.

%pre

%preun

%post
if [ -f /sbin/ldconfig ]; then
    /sbin/ldconfig
fi

%postun
if [ -f /sbin/ldconfig ]; then
    /sbin/ldconfig
fi

%prep
%setup -q -n %{name}-%{vermaj}

# a number of ~ files are distribute, but we do not want them
find . -name "*~" -exec rm {} \;

# we want all txt files to have unix end-of-line encoding
dos2unix README.txt LICENSE.txt NOTES.txt


%build
# patches change autoconf and automake files, so we must reconfigure
autoreconf --install --force

# enable IPv6 support
sed 's/Cflags:/& -DWITH_IPV6/' -i gsoap*.pc.in
CFLAGS="-DWITH_IPV6 %{optflags}"
CXXFLAGS="-DWITH_IPV6 %{optflags}"

./configure \
--prefix=%_prefix \
--disable-debug \
--disable-static \
--enable-gnutls

#make %{?_smp_mflags}
make

%install
rm -Rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT

# strip debug symbols from binaries
find $RPM_BUILD_ROOT -type f -exec /usr/bin/strip --strip-debug '{}' ';'

%files
%defattr(-,root,root)
%{_bindir}/soapcpp2
%{_bindir}/wsdl2h
%{_libdir}/libgsoap.a
%{_libdir}/libgsoap++.a
%{_libdir}/libgsoapck.a
%{_libdir}/libgsoapck++.a
%{_libdir}/libgsoapssl.a
%{_libdir}/libgsoapssl++.a
%{_datadir}/gsoap/custom
%{_datadir}/gsoap/extras
%{_datadir}/gsoap/import
%{_datadir}/gsoap/plugin
%{_datadir}/gsoap/WS

%files devel
%defattr(-,root,root)
%{_includedir}/stdsoap2.h
%{_pkgconfig}/gsoapck.pc
%{_pkgconfig}/gsoapck++.pc
%{_pkgconfig}/gsoap.pc
%{_pkgconfig}/gsoap++.pc
%{_pkgconfig}/gsoapssl.pc
%{_pkgconfig}/gsoapssl++.pc

%clean
rm -Rf $RPM_BUILD_ROOT && rm -Rf $RPM_BUILD_DIR/%{name}-*

%changelog
* Sun Jan 09 2011 Karsten Brockmann <arcam@ccux-linux.de> 2.8.0-1
- initial CCux package release
